Functions
Initialization and de-initialization functions
Peripheral Driver » HAL Driver » EFUSE » Functions

Initialization and de-initialization functions. More...

Collaboration diagram for Initialization and de-initialization functions:

## Functions
hal_status_t | hal_efuse_init (efuse_handle_t *p_efuse)
| Initialize the eFuse according to the specified parameters in the efuse_init_t and initialize the associated handle. More...
hal_status_t | hal_efuse_deinit (efuse_handle_t *p_efuse)
| De-initialize the eFuse peripheral. More...
void | hal_efuse_msp_init (efuse_handle_t *p_efuse)
| Initialize the eFuse MSP. More...
void | hal_efuse_msp_deinit (efuse_handle_t *p_efuse)
| De-initialize the eFuse MSP. More...

## Detailed Description

Initialization and de-initialization functions.

     ===============================================================================
                  ##### Initialization and de-initialization functions #####
     ===============================================================================
        [..]  This subsection provides a set of functions allowing to initialize and
              de-initialize the EFUSEx peripheral:

          (+) User must implement hal_efuse_msp_init() function in which he configures
              all related peripherals resources (GPIO, DMA, IT and NVIC ).

          (+) Call the function hal_efuse_init() to configure the selected device with
              the selected configuration:
            (++) info_mode

          (+) Call the function hal_efuse_deinit() to restore the default configuration
              of the selected EFUSEx peripheral.

## Function Documentation

## ◆ hal_efuse_deinit()

hal_status_t hal_efuse_deinit | ( | efuse_handle_t * | p_efuse | ) |

De-initialize the eFuse peripheral.

Parameters

  [in] | p_efuse | Pointer to a eFuse handle which contains the configuration information for the specified eFuse module.

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.
  HAL_TIMEOUT | Timeout occurred.

## ◆ hal_efuse_init()

hal_status_t hal_efuse_init | ( | efuse_handle_t * | p_efuse | ) |

Initialize the eFuse according to the specified parameters in the efuse_init_t and initialize the associated handle.

Parameters

  [in] | p_efuse | Pointer to a eFuse handle which contains the configuration information for the specified eFuse module.

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.
  HAL_TIMEOUT | Timeout occurred.

## ◆ hal_efuse_msp_deinit()

void hal_efuse_msp_deinit | ( | efuse_handle_t * | p_efuse | ) |

De-initialize the eFuse MSP.

Note
  This function should not be modified. When the callback is needed, the hal_efuse_msp_deinit can be implemented in the user file.

Parameters

  [in] | p_efuse | Pointer to a eFuse handle which contains the configuration information for the specified eFuse module.

## ◆ hal_efuse_msp_init()

void hal_efuse_msp_init | ( | efuse_handle_t * | p_efuse | ) |

Initialize the eFuse MSP.

Note
  This function should not be modified. When the callback is needed, the hal_efuse_msp_deinit can be implemented in the user file.

Parameters

  [in] | p_efuse | Pointer to a eFuse handle which contains the configuration information for the specified eFuse module.